Subject: Re: Workaround :Problem with updated gdb-20000608 and tcltk-20000608
From: Chris Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 10 Jun 2000 14:48:47 -0400

On Sat, Jun 10, 2000 at 12:29:30PM -0400, Norman Vine wrote:
>Chris Faylor writes:
>
>>Sergey R. Grigoriev wrote:
>>>
>>>To make it working you need to download original tcltk (ftp.franken.de
>>>or some other mirrors)(and remove tcltk-20000608 from you download
>>>directory) and reinstall it "setup tcltk".
>>
>
>>Can we try to figure out what the problem is before we start flailing
>>around trying to fix it?
>
>Hi Chris
>
>I don't know *** about TCL but

Could you provide two things here (to the mailing list, please):

1) cygcheck -r -s -v

2) strace -ogdb.strace gdb
   And send the contents of gdb.strace

I appreciate your trying to track the problem down.  I wonder what strange
thing I have on my system that allows gdb to work for me.

cgf

>Changing:
>line 27 /usr/share/gdbtcl/main.tcl to
>
>set tcl_traceExec 1
>
>Yields:
>
>Calling proc "tclPkgUnknown" "combobox" "1.0"
>Calling proc "tclPkgSetup" "C:/CYGWIN/usr/s" "combobox" "1.05"
>"{combobox.tcl s"
>Calling proc "auto_import" "itcl::*"
>Calling proc "auto_qualify" "itcl::*" "::"
>Calling proc "auto_load_index"
>Calling proc "auto_import" "debug::*"
>Calling proc "auto_qualify" "debug::*" "::"
>Calling proc "auto_load_index"
>Calling proc "unknown" "find_iwidgets_l"
>                    ^^^^^^^^^^^
>Calling proc "auto_load" "find_iwidgets_l" "::"
>Calling proc "auto_qualify" "find_iwidgets_l" "::"
>Calling proc "find_iwidgets_l"
>Calling proc "tclPkgUnknown" "Iwidgets" "3.0"
>
>
>grepping for find_iwidgets_l in /usr/share/**/*.tcl
>
>yields  /usr/share/gdbtcl/util.tcl  line 219
>
># ------------------------------------------------------------------
># PROC: find_iwidgets_library - Find the IWidgets library.
>#
># This is a little bit of bogosity which is necessary so we
># can find the iwidgets libraries if we are not installed:
># The problem is that the iwidgets are really weird.  The init file is
># in the build tree, but all the library files are in the source tree...
>#
># ------------------------------------------------------------------
>proc find_iwidgets_library {} {
>  global errMsg
>.....
>
>
>Hope this helps someone.

--
Want to unsubscribe from this list?
Send a message to [email-masked]